#include <windows.h>
#include <stdio.h>

int main(void)
{
	if(OpenClipboard(NULL))
	{
		HANDLE h = GetClipboardData(CF_TEXT);
		if(h)
		{
			char *s = (char *)GlobalLock(h);
			printf("%s",s);
			GlobalUnlock(h);
			CloseClipboard();
		}
		else
			printf("Pas de textes dans le presse papier\n");
		CloseClipboard();
	}
	return 0;
}

/*!F
	Pour tester ce code, ouvrez un diteur de texte, prenez une zone, et faites CTRL+C, ou prendre un texte.
	Lancez le programme, il va vous afficher ce que vous avez dans le presse papier.

	Le programme ouvre le presse papier, regarde si il y a des informations de type texte, et les affiche.
!*/

/*!E
	No explanations yet.
!*/

/*
titre: Rcuprer du texte depuis le presse papier.
titreE: Get text from clipboard.
meta: C;WINAPI;Windows
metaE: C;WINAPI;Windows
desc : Rcuprer du texte depuis le presse papier.
descE: Get text from clipboard.
cle  : GetClipboardData
*/